#!/bin/bash

# Install Flatpak if not already installed
if ! command -v flatpak &> /dev/null; then
  sudo apt-get update
  sudo apt-get install -y flatpak
fi

# Add Flathub repository if not already added
if ! flatpak remote-list | grep -q flathub; then
  flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
fi

# Note :  You can check available list of applications on this URL https://flathub.org/apps.
# List of applications to install. Specify multiple packages in a new line.
apps=(
  ADD_APP_PACKAGE_NAME
)
# Example that installs multiple apps 
#apps=(
  #org.gnome.Calendar
  #org.gnome.Geary
  #com.github.johnfactotum.Foliate
  #com.github.artemanufrij.polarr
#)

# Install each application
for app in "${apps[@]}"; do
  flatpak install flathub "$app" -y
done